

bayeos.getACL <- function(id=NA,ls=FALSE,con=1){
	if(is.na(id))
		id=tail(.localenv$c[[con]]$path,1)[[1]]$id
	rights=bayeos.call(con,'RightHandler.getRights',as.integer(id))
	rights=rights[[1]]
	user=sapply(rights,function(x) x[[1]])
	read=sapply(rights,function(x) x[[2]])
	write=sapply(rights,function(x) x[[3]])
	exec=sapply(rights,function(x) x[[4]])
	inherit=sapply(rights,function(x) x[[5]])
	editable=sapply(rights,function(x) x[[6]])
	uname=sapply(rights,function(x) x[[7]])
	rid=sapply(rights,function(x) x[[8]])
	df=data.frame(user,read,write,exec,inherit,editable,uname,rid)
	if(ls){
	  print(df[c(1:6,8)])	
	  invisible(df)
    } else df
}

getRid <- function(rid){
	if(is.character(rid)) bayeos.getRid(rid)
	else rid
}

bayeos.createACL <- function(rid,id=NA,read=TRUE,write=FALSE,exec=FALSE,inherit=FALSE,ls=FALSE,con=1){
	if(is.na(id))
		id=tail(.localenv$c[[con]]$path,1)[[1]]$id
	rid=getRid(rid)
	res=bayeos.call(con,'RightHandler.createRight',as.integer(id),as.integer(rid),read,write,exec,inherit)
	if(ls) bayeos.getACL(id,ls=TRUE)
	res
}

bayeos.deleteACL <- function(rid,id=NA,ls=FALSE,con=1){
	if(is.na(id))
		id=tail(.localenv$c[[con]]$path,1)[[1]]$id
	rid=getRid(rid)
	res=bayeos.call(con,'RightHandler.deleteRight',as.integer(id),as.integer(rid))
	if(ls) bayeos.getACL(id,ls=TRUE)
	res
}

bayeos.updateACL <- function(right,value,rid,id=NA,ls=FALSE,con=1){
	if(is.na(id))
		id=tail(.localenv$c[[con]]$path,1)[[1]]$id
	rid=getRid(rid)
	res=bayeos.call(con,'RightHandler.updateRight',as.integer(id),as.integer(rid),right,value)
	if(ls) bayeos.getACL(id,ls=TRUE)
	res
	
}

bayeos.getRoles <- function(con=1){
	if(is.null(.localenv$c[[con]]$roles)){
		res=c(bayeos.call(con,'LookUpTableHandler.getBenutzer'),
				bayeos.call(con,'LookUpTableHandler.getGruppen'))
		fullname=sapply(res,function(x) x[[14]])
		uname=sapply(res,function(x) x[[21]])
		class=sapply(res,function(x) x[[5]])
		rid=sapply(res,function(x) x[[3]])
		.localenv$c[[con]]$roles=data.frame(uname,rid,fullname,class)
	}
	.localenv$c[[con]]$roles
}



bayeos.getRid <- function(name,con=1){
	roles=bayeos.getRoles(con)
	id=roles$rid[roles$uname==name]
	if(length(id)==0) id=roles$rid[roles$fullname==name]
	if(length(id)==0) id=NA
	id
}


