.setUp <- function(){
	library(bayeos)
	bayeos.connect('http://bti3x3.bayceer.uni-bayreuth.de/servlet/XMLServlet','gast','gast')
}

test.EmptySeries<- function() {	 	
	m = bayeos.getSeries(123550,from='2010-07-01 00:00:00',until='2010-07-01 10:00:00')
	# empty zoo with 0 rows returned
	checkTrue(length(m)==0)	
}

test.TimeInterval<- function() {
	m = bayeos.getSeries(123554,from='2010-07-01 00:00:00',until='2010-07-01 10:00:00')
	checkTrue(length(m)==10)
}

test.TimeIntervalAggre<- function() {	 
	# Time interval + aggregation 
	m = bayeos.getSeries(2718,from='2010-01-01 00:00:00',until='2010-02-01 01:00:00', aggfunc='Avg',aggint='day')
	checkTrue(length(m)==24)
}

test.NullResolution<- function() {	 
	# Series with null resolution settings  
	m = bayeos.getSeries(123551,from='2010-07-01 00:00:00',until='2010-07-01 10:00:00')
	checkTrue(length(m)>0)
}

test.NonExisting<- function() {	 
	# Non existing series id 
	checkException(bayeos.getSeries(-1))	
}

test.MissingReadAccess<- function(){
	# Missing read access series  
	checkException(bayeos.getSeries(123552))	
}
 
 
test.Resolution0<- function(){
	# Series with 0 resolution settings  
	m = bayeos.getSeries(123553,from='2010-07-01 00:00:00',until='2010-07-01 10:00:00')
	checkTrue(length(m)>0)
}

.tearDown<-function(){
	bayeos.close()	
}