.setUp <- function(){
	library(bayeos)
	library(zoo)
	bayeos.connect('http://bti3x3.bayceer.uni-bayreuth.de/servlet/XMLServlet','gast','gast')
}

test.WriteSeries<-function(){				
	# Note: the user needs the appropriate rights to run this test	
	f = bayeos.createFolder("Test Folder")		
	bayeos.cd(f)
	id = bayeos.createSeries('Series A')	
	# Construct the data frame 
	value = c(11.0,12.0,11.0,12.0)
	datetime = c(as.POSIXct('2011-01-01 11:00',tz='Etc/GMT-1'),as.POSIXct('2011-01-01 12:00',tz='Etc/GMT-1'),as.POSIXct('2011-01-01 13:00',tz='Etc/GMT-1'),as.POSIXct('2011-01-01 14:00',tz='Etc/GMT-1'))		
	data = zoo(value,datetime)
	# Import frame values into database
	checkTrue(bayeos.writeSeries(id,data))
	
	# Read values back
	data = bayeos.getSeries(id,from='2011-01-01 11:00',until='2011-01-01 15:00')		
	checkTrue(length(data) == 4)	
	checkTrue(all(coredata(data) == value))
	checkTrue(all(time(data) == datetime))	
	
	# Update values * 2
	data = data*2
	# Write values back
	bayeos.writeSeries(id,data,update=TRUE)
	
	m = bayeos.getSeries(id,from='2011-01-01 11:00',until='2011-01-01 15:00')	
	checkTrue(all(m == data))
			
	# Delete Series 
	bayeos.deleteNode(id,confirm=FALSE,removeRows=TRUE)
		
	# Delete folder
	bayeos.cd('..')
	bayeos.deleteNode(f,confirm=FALSE)
	
}

.tearDown<-function(){
	bayeos.close()	
}